Source: lalinference
Section: science
Priority: optional
Maintainer: Steffen Grunewald <steffen.grunewald@aei.mpg.de>
Uploaders: Adam Mercer <adam.mercer@ligo.org>, GitLab <gitlab@git.ligo.org>
Build-Depends: debhelper (>= 9),
  dh-python,
  help2man,
  libchealpix-dev (>= 3.30.0),
  libgsl-dev | libgsl0-dev (>= 1.15),
  liboctave-dev,
  libopenmpi-dev,
  pkg-config (>= 0.18.0),
  python-all-dev,
  python-astropy (>= 1.1.1),
  python-gwdatafind,
  python-gwpy,
  python-h5py,
  python-healpy (>= 1.9.1),
  python-matplotlib (>= 1.2.0),
  python-numpy (>= 1.7),
  python-pathlib,
  python-scipy (>= 0.9.0),
  python-pytest,
  swig (>= 3.0.7) | swig3.0 (>= 3.0.7),
  zlib1g-dev,
  python-glue (>= @MIN_GLUE_VERSION@),
  lal-dev (>= @MIN_LAL_VERSION@~),
  lal-octave (>= @MIN_LAL_VERSION@~),
  python-lal (>= @MIN_LAL_VERSION@~),
  lalframe-dev (>= @MIN_LALFRAME_VERSION@~),
  lalframe-octave (>= @MIN_LALFRAME_VERSION@~),
  python-lalframe (>= @MIN_LALFRAME_VERSION@~),
  lalmetaio-dev (>= @MIN_LALMETAIO_VERSION@~),
  lalmetaio-octave (>= @MIN_LALMETAIO_VERSION@~),
  python-lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
  lalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@~),
  lalsimulation-octave (>= @MIN_LALSIMULATION_VERSION@~),
  python-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
  lalburst-dev (>= @MIN_LALBURST_VERSION@~),
  lalburst-octave (>= @MIN_LALBURST_VERSION@~),
  python-lalburst (>= @MIN_LALBURST_VERSION@~),
  lalinspiral-dev (>= @MIN_LALINSPIRAL_VERSION@~),
  lalinspiral-octave (>= @MIN_LALINSPIRAL_VERSION@~),
  python-lalinspiral (>= @MIN_LALINSPIRAL_VERSION@~),
  lalpulsar-dev (>= @MIN_LALPULSAR_VERSION@~),
  lalpulsar-octave (>= @MIN_LALPULSAR_VERSION@~),
  python-lalpulsar (>= @MIN_LALPULSAR_VERSION@~)
X-Python-Version: >= 2.7
X-Python3-Version: <= 3.0
Standards-Version: 3.9.8

Package: lalinference
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  openmpi-bin,
  openssh-client,
  lal (>= @MIN_LAL_VERSION@~),
  lalframe (>= @MIN_LALFRAME_VERSION@~),
  lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
  lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
  lalburst (>= @MIN_LALBURST_VERSION@~),
  lalinspiral (>= @MIN_LALINSPIRAL_VERSION@~),
  lalpulsar (>= @MIN_LALPULSAR_VERSION@~)
Breaks: lalapps (<< 6.25)
Replaces: lalapps (<< 6.25)
Description: LSC Algorithm Library Inference
 The LSC Algorithm Inspiral Library for gravitational wave data analysis.
 This package contains the shared-object libraries needed to run applications
 that use the LAL Inference library.

Package: lalinference-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  libchealpix-dev (>= 3.30.0),
  libgsl-dev | libgsl0-dev (>= 1.15),
  python-healpy (>= 1.9.1),
  zlib1g-dev,
  lal-dev (>= @MIN_LAL_VERSION@~),
  lalframe-dev (>= @MIN_LALFRAME_VERSION@~),
  lalmetaio-dev (>= @MIN_LALMETAIO_VERSION@~),
  lalsimulation-dev (>= @MIN_LALSIMULATION_VERSION@~),
  lalburst-dev (>= @MIN_LALBURST_VERSION@~),
  lalinspiral-dev (>= @MIN_LALINSPIRAL_VERSION@~),
  lalpulsar-dev (>= @MIN_LALPULSAR_VERSION@~),
  lalinference (= ${binary:Version})
Description: LSC Algorithm Library Inference Developers
 The LSC Algorithm Inference Library for gravitational wave data analysis.
 This package contains files needed build applications that use the LAL
 Inference library.

Package: lalinference-python
Depends: python-lalinference, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 lalinference-python was renamed python-lalinference,
 this is a transitional package, it can safely be removed.

Package: python-lalinference
Section: python
Architecture: any
Depends:
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
  python-astropy (>= 1.1.1),
  python-gwdatafind,
  python-h5py,
  python-matplotlib (>= 1.2.0),
  python-scipy (>= 0.8),
  python-six,
  python-glue (>= @MIN_GLUE_VERSION@),
  python-ligo-gracedb,
  python-gwpy,
  python-lal (>= @MIN_LAL_VERSION@~),
  python-lalframe (>= @MIN_LALFRAME_VERSION@~),
  python-lalmetaio (>= @MIN_LALMETAIO_VERSION@~),
  python-lalsimulation (>= @MIN_LALSIMULATION_VERSION@~),
  python-lalburst (>= @MIN_LALBURST_VERSION@~),
  python-lalinspiral (>= @MIN_LALINSPIRAL_VERSION@~),
  python-lalpulsar (>= @MIN_LALPULSAR_VERSION@~),
  lalinference (= ${binary:Version})
Replaces: lalapps (<< 6.21.0.1-1), lalinference-python (<< 1.9.4.1-1~), lalinference (<< 1.11.1)
Breaks: lalapps (<< 6.21.0.1-1), lalinference-python (<< 1.9.4.1-1~), lalinference (<< 1.11.1)
Description: Python bindings for LALInference
 The LSC Algorithm Inference Library for gravitational wave data analysis.
 This package contains Python bindings for the LAL Inference library.

Package: lalinference-octave
Architecture: any
Depends: ${misc:Depends},
  ${shlibs:Depends},
  octave,
  lal-octave (>= @MIN_LAL_VERSION@~),
  lalframe-octave (>= @MIN_LALFRAME_VERSION@~),
  lalmetaio-octave (>= @MIN_LALMETAIO_VERSION@~),
  lalsimulation-octave (>= @MIN_LALSIMULATION_VERSION@~),
  lalburst-octave (>= @MIN_LALBURST_VERSION@~),
  lalinspiral-octave (>= @MIN_LALINSPIRAL_VERSION@~),
  lalpulsar-octave (>= @MIN_LALPULSAR_VERSION@~),
  lalinference (= ${binary:Version})
Description: Octave bindings for LALInference
 The LSC Algorithm Inference Library for gravitational wave data analysis.
 This package contains Octave bindings for the LAL Inference library.
